Page MenuHomePhabricator

Remove TUX PHP code from Special:Translate in favor of JS code
Closed, ResolvedPublic

Description

There are still duplicated code and inconsistent behavior in Special:Translate PHP and JS side. Should be migrated to all JS.

Details

Reference
bz48207

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:18 AM
bzimport set Reference to bz48207.
bzimport added a subscriber: Unknown Object (MLST).

(In reply to Niklas Laxström from comment #0)

There are still duplicated code and inconsistent behavior in
Special:Translate PHP and JS side. Should be migrated to all JS.

Niklas: Could you please elaborate / paste some function or file names, so a contributor could theoretically have enough information to start working on this?

(Generally, such short descriptions might work well and are clear enough for "insiders" in the team or as a quick private to-do list, but are less helpful to enable somebody else to pick up such a task.)

Much of SpecialTranslate.php and some of ext.translate.special.translate.js are starting points.

I'm not really expecting outsiders to do this without discussing with me first. This involves some non-technical issues like whether it is okay to remove the non-JS fallback and that some features are even still not present in TUX.

Krinkle updated the task description. (Show Details)Dec 10 2014, 2:05 PM
Krinkle added a project: Technical-Debt.
Krinkle set Security to None.
Krinkle removed a subscriber: Unknown Object (MLST).
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 22 2016, 11:50 PM
Nikerabbit closed this task as Resolved.Apr 6 2018, 2:21 PM
Nikerabbit claimed this task.

Per parent task this is done.